summaryrefslogtreecommitdiffstats
path: root/ocata/vagrant/bootstrap.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-09-14 22:54:53 +0800
committerGuo Ruijing <ruijing.guo@intel.com>2017-09-14 22:57:58 +0800
commitf0fd9149506ca92db0dd7f17cf027ccb434bb99a (patch)
tree5adc853ec41faa0f174d8ebda13e9318394d385b /ocata/vagrant/bootstrap.sh
parent51f18c6e84a88eaea53237b3a21d32ad4ab0e8a5 (diff)
setup function test framework
this patch is to setup function test framwork for multicloud Change-Id: I372ca4a11878b25fd9b5f4b7ed199e0d8748e11d Issue-Id: MULTICLOUD-92 Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'ocata/vagrant/bootstrap.sh')
-rw-r--r--ocata/vagrant/bootstrap.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/ocata/vagrant/bootstrap.sh b/ocata/vagrant/bootstrap.sh
new file mode 100644
index 00000000..79d31be4
--- /dev/null
+++ b/ocata/vagrant/bootstrap.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+set -e
+
+sudo apt-get update -y
+sudo apt-get install git -y
+git clone https://github.com/openstack-dev/devstack
+cd devstack; git checkout stable/ocata
+sudo apt-get install openvswitch-switch -y
+sudo ovs-vsctl add-br br-ex
+ip=$(ip a s enp0s9 | grep inet | grep -v inet6 | sed "s/.*inet//" | cut -f2 -d' ')
+sudo ip address flush enp0s9
+sudo ovs-vsctl add-port br-ex enp0s9
+sudo ip a a $ip dev br-ex
+sudo ip link set dev br-ex up
+sudo ip link set dev enp0s9 up